/*************************************************************************/
/*                                                                       */
/* KeyRand.H by R.Walking-Owl (see the KeyRand.Asm source for more info) */
/*                                                                       */
/*************************************************************************/

#define randpoolsize 32
/* make sure this define is no larger than what is defined in KeyRand.Asm */

int pascal far installrandom(); /*installs the random pool sampler */

int pascal far uninstallrandom(); /* uninstalls the sampler */

/* Reminder: make sure your Ctrl-Break handler calls uninstallrandom() */

char* pascal far getrandpooladdr(); /* returns the address of the random pool */

int pascal far numrandbits(); /* returns the number of sampled bits in 
                                 the pool */

char pascal far noise(); /* returns 8-bits (byte) from the pool */

/*

 To be quite honest, I am very fluent in Pascal and not so fluent in C,
 so please pardon any screw-ups in this header file. (You've been warned)

 Send any improvements to <rrothenb@ic.sunysb.edu>

*/
